<script lang="ts">
import Vue from 'vue';
import { getNavigationClient } from '~/plugins/contentful';
import { NAV_CONTENT_TYPES } from '~/common/content-types';
import { convertToCaseSensitiveLocale } from '~/common/util';

export default Vue.extend({
  name: 'MinimizedFooterHoc',
  data() {
    return {
      footer: {},
      contentfulEntryUrl: '',
    };
  },
  async fetch() {
    const footerEntry = await getNavigationClient().getEntries({
      content_type: NAV_CONTENT_TYPES.FOOTER,
      'sys.id': 'QxdoqHd5ixKTwFjIHYvYI', // Minimized Footer
      include: 3,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    const [footer] = footerEntry.items;

    this.footer = footer;
  },
  created() {
    this.$nuxt.$on('contentfulIds', (data) => {
      const { spaceId, entryId } = data;
      if (spaceId !== undefined && entryId !== undefined) {
        this.contentfulEntryUrl = `https://app.contentful.com/spaces/${spaceId}/entries/${entryId}`;
      }
    });
  },
});
</script>

<template>
  <SlpMinimizedFooter
    :contentful-footer-data="footer"
    :contentful-entry-url="contentfulEntryUrl"
  />
</template>

<style scoped lang="scss"></style>
